summaryrefslogtreecommitdiffstats
path: root/src/vagrant/kubeadm/istio/clean_bookinfo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/vagrant/kubeadm/istio/clean_bookinfo.sh')
-rwxr-xr-xsrc/vagrant/kubeadm/istio/clean_bookinfo.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/src/vagrant/kubeadm/istio/clean_bookinfo.sh b/src/vagrant/kubeadm/istio/clean_bookinfo.sh
new file mode 100755
index 0000000..7c539c0
--- /dev/null
+++ b/src/vagrant/kubeadm/istio/clean_bookinfo.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 Huawei Technologies Canada Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+cd /vagrant/istio-source/
+export PATH=$PWD/bin:$PATH
+
+# Clean up bookinfo
+echo "" | samples/bookinfo/platform/kube/cleanup.sh
+
+kubectl get virtualservices
+kubectl get destinationrules
+kubectl get gateway
+kubectl get pods